Bug 2266756 (CVE-2021-47009)

Summary: CVE-2021-47009 kernel: KEYS: trusted: Fix memory leak on object td
Product: [Other] Security Response Reporter: Mauro Matteo Cascella <mcascell>
Component: vulnerabilityAssignee: Product Security <prodsec-ir-bot>
Status: NEW --- QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: acaringi, allarkin, aquini, bhu, chwhite, cye, cyin, dbohanno, debarbos, dfreiber, drow, dvlasenk, esandeen, ezulian, hkrzesin, jarod, jburrell, jdenham, jfaracco, jforbes, jlelli, joe.lawrence, jshortt, jstancek, jwyatt, kcarcia, ldoskova, lgoncalv, lzampier, mleitner, mmilgram, mstowell, nmurray, ptalbert, rparrazo, rrobaina, rvrbovsk, rysulliv, scweaver, sidakwo, sukulkar, tglozar, tyberry, vkumar, wcosta, williams, wmealing, ycote, ykopkova, zhijwang
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: kernel 5.10.38, kernel 5.11.22, kernel 5.12.5, kernel 5.13 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 2266757    
Bug Blocks: 2266939    

Description Mauro Matteo Cascella 2024-02-28 22:20:00 UTC
In the Linux kernel, the following vulnerability has been resolved:

KEYS: trusted: Fix memory leak on object td

The Linux kernel CVE team has assigned CVE-2021-47009 to this issue.

Upstream advisory:
https://lore.kernel.org/linux-cve-announce/2024022830-CVE-2021-47009-3f56@gregkh/T/#u

Comment 1 Mauro Matteo Cascella 2024-02-28 22:21:06 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 2266757]

Comment 5 Justin M. Forbes 2024-03-01 22:40:45 UTC
This was fixed for Fedora with the 5.12.5 stable kernel updates.

Comment 6 Alex 2024-06-09 16:23:49 UTC
The result of automatic check (that is developed by Alexander Larkin) for this CVE-2021-47009 is: CHECK	Maybe valid. Check manually. with impact LOW (that is an approximation based on flags WARNONLY SIMPLEFIX LEAK  ; these flags parsed automatically based on patch data). Such automatic check happens only for Low/Moderates (and only when not from reporter, but parsing already existing CVE). Highs always checked manually (I check it myself and then we check it again in Remediation team). In rare cases some of the Moderates could be increased to High later.